Falha ao carregar o módulo “canberra-gtk-module”

26

Hoje eu instalei:

  1. Ubuntu 12.04
  2. Oracle JDK 7 e 8
  3. IntelliJ 11.1.4

Eu configurei meu caminho JAVA_HOME para apontar para o JDK 7.

Quando executo o IntelliJ, recebo esta mensagem:

Gtk-Message: Failed to load module "canberra-gtk-module"

Isso é um problema ou eu posso ver isso?

    
por Harrison Brock 30.10.2012 / 01:44
fonte

3 respostas

44

Eu consertei isso instalando o módulo:

sudo apt-get install libcanberra-gtk-module

Ou se já estiver instalado e você ainda receber o erro:

sudo apt-get install libcanberra-gtk-module:i386
    
por Harrison Brock 30.10.2012 / 02:08
fonte
1

Esta pergunta é de 4 anos e 8 meses de idade. Agora é julho de 2017.

Em um Raspberry Pi 3B rodando Jessie Raspbian e Ubuntu 16.04 LTS eu estava recebendo este erro.

  

Falha ao carregar o módulo “canberra-gtk-module”

É bastante genérico.

A boa notícia é que a correção é fácil. Basta digitar:

sudo apt-get install libcanberra-gtk-module

instalou algumas coisas ...

Então nunca mais apareceu.

    
por SDsolar 20.07.2017 / 10:30
fonte
1

aconteceu com uma aplicação qt5 usando o tema gtk no Ubuntu MATE

$ ./my-application
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "topmenu-gtk-module"

vamos localizar as bibliotecas

$ locate libcanberra-gtk-module.so
/usr/lib/x86_64-linux-gnu/gtk-2.0/modules/libcanberra-gtk-module.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/modules/libcanberra-gtk-module.so

definindo o LD_LIBRARY_PATH resolve o problema

$ LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu/gtk-3.0/modules:$LD_LIBRARY_PATH ./my-application

ou desmarque a variável de ambiente GTK_MODULES

$ unset GTK_MODULES; ./my-application
    
por neok 08.08.2017 / 14:40
fonte

Tags